import React from 'react';
import { AlgorithmContext } from './types';
declare type HOCProps = {
    step?: string;
    [key: string]: any;
};
export declare type WrappedComponentProps = {
    isCurrentStep: boolean;
    currentStep: string | undefined;
    finishStep: any;
    step: string | undefined;
};
declare const _default: (context: React.Context<AlgorithmContext>) => ({ step, ...hocProps }?: HOCProps) => (WrapperComponent: React.ComponentClass<WrappedComponentProps, any> | React.StatelessComponent<WrappedComponentProps>) => () => JSX.Element;
export default _default;
