var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import React from 'react';
export default (function (context) { return function (_a) {
    if (_a === void 0) { _a = { step: undefined }; }
    var step = _a.step, hocProps = __rest(_a, ["step"]);
    return function (WrapperComponent) { return function () {
        return (React.createElement(context.Consumer, null, function (_a) {
            var finishStep = _a.finishStep, currentStep = _a.currentStep;
            var isCurrentStep = currentStep === step;
            var finishStepFunction = function (result) {
                if (!step || isCurrentStep) {
                    finishStep(currentStep, result);
                }
            };
            return (React.createElement(WrapperComponent, __assign({ isCurrentStep: isCurrentStep, currentStep: currentStep, finishStep: finishStepFunction, step: step }, hocProps)));
        }));
    }; };
}; });
//# sourceMappingURL=createWithAlgorithm.js.map